Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.rfid.edge.toolkit.workflow
Class ModuleDescriptorImpl

    java.lang.Object
      com.bea.rfid.edge.toolkit.workflow.ModuleDescriptorImpl

All Implemented Interfaces:
  ModuleDescriptor

    public class ModuleDescriptorImpl

extends Object
implements ModuleDescriptor

A simple implementation of `ModuleDescriptor`.

Constructor Summary
`ModuleDescriptorImpl(List inputPorts, List outputPorts)` Constructor.

Method Summary
`List` | `getInputPorts()` Returns list containing all the input ports of this module.
`List` | `getOutputPorts()` Returns list containing all the output ports of this module.
`Port` | `getPort(String name)` Returns the `Port` with the given name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModuleDescriptorImpl

    public ModuleDescriptorImpl(List inputPorts,
                                List outputPorts)

  Constructor.

  Parameters:
    `inputPorts` - The input ports of the module.
    `outputPorts` - The output ports of the module.
  Throws:
    `IllegalArgumentException` - If there is more than one port with the same name.

Method Detail

### getInputPorts

    public List getInputPorts()

  Returns list containing all the input ports of this module.

  Specified by:
    `getInputPorts` in interface `ModuleDescriptor`
  Returns:
    List of input ports to this module.

### getOutputPorts

    public List getOutputPorts()

  Returns list containing all the output ports of this module.

  Specified by:
    `getOutputPorts` in interface `ModuleDescriptor`
  Returns:
    List of output ports from this module.

### getPort

    public Port getPort(String name)

  Returns the `Port` with the given name.

  Specified by:
    `getPort` in interface `ModuleDescriptor`
  Returns:
    `Port` with the given name. Returns null if there is no port with that name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD